<html>
<head>
<title>Ogre::StdAlignedAllocPolicy&lt; Alignment &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html">StdAlignedAllocPolicy</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::StdAlignedAllocPolicy&lt; Alignment &gt; Class Template Reference<div class="ingroups"><a class="el" href="group__Memory.html">Memory</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::StdAlignedAllocPolicy" -->
<p>A "standard" allocation policy for use with <a class="el" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">AllocatedObject</a> and <a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>, which aligns memory at a given boundary (which should be a power of 2).  
 <a href="classOgre_1_1StdAlignedAllocPolicy.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>&gt;</code></p>

<p><a href="classOgre_1_1StdAlignedAllocPolicy-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#aab20b04cef620b603f5877fd48b53e5b">IsValidAlignment</a> [Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment-1))==0)?+1:-1]</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#aa5c16bd66a3e8dbbd9482e7dd07ec9db">allocateBytes</a> (size_t count, const char *=0, int=0, const char *=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#a6ee5fb2c88d4c42673126c6ec355deed">deallocateBytes</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#a6222b252df6d4f2bde65530dbb30ad5b">getMaxAllocationSize</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum size of a single allocation.  <a href="#a6222b252df6d4f2bde65530dbb30ad5b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#acde47348bf3ef90847c00e82e8be5e9c">StdAlignedAllocPolicy</a> ()</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><h3>template&lt;size_t Alignment = 0&gt;<br/>
class Ogre::StdAlignedAllocPolicy&lt; Alignment &gt;</h3>

<p>A "standard" allocation policy for use with <a class="el" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">AllocatedObject</a> and <a class="el" href="classOgre_1_1STLAllocator.html">STLAllocator</a>, which aligns memory at a given boundary (which should be a power of 2). </p>
<p>This is the class that actually does the allocation and deallocation of physical memory, and is what you will want to provide a custom version of if you wish to change how memory is allocated. </p>
<dl class="user"><dt><b></b></dt><dd>This class just delegates to the global malloc/free, via <a class="el" href="classOgre_1_1AlignedMemory.html" title="Class to provide aligned memory allocate functionality.">AlignedMemory</a>. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>template parameter Alignment equal to zero means use default platform dependent alignment. </dd></dl>

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00106">106</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="aab20b04cef620b603f5877fd48b53e5b"></a><!-- doxytag: member="Ogre::StdAlignedAllocPolicy::IsValidAlignment" ref="aab20b04cef620b603f5877fd48b53e5b" args="[Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment&#45;1))==0)?+1:&#45;1]" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">typedef int <a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html">Ogre::StdAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#aab20b04cef620b603f5877fd48b53e5b">IsValidAlignment</a>[Alignment&lt;=128 &amp;&amp;((Alignment &amp;(Alignment-1))==0)?+1:-1]</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00111">111</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="acde47348bf3ef90847c00e82e8be5e9c"></a><!-- doxytag: member="Ogre::StdAlignedAllocPolicy::StdAlignedAllocPolicy" ref="acde47348bf3ef90847c00e82e8be5e9c" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html">Ogre::StdAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html">StdAlignedAllocPolicy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00145">145</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa5c16bd66a3e8dbbd9482e7dd07ec9db"></a><!-- doxytag: member="Ogre::StdAlignedAllocPolicy::allocateBytes" ref="aa5c16bd66a3e8dbbd9482e7dd07ec9db" args="(size_t count, const char *=0, int=0, const char *=0)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void* <a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html">Ogre::StdAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#aa5c16bd66a3e8dbbd9482e7dd07ec9db">allocateBytes</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>count</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00113">113</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1AlignedMemory.html#a215ddaa2cf45c92ec39560dd43bed7b6">Ogre::AlignedMemory::allocate()</a>.</p>

</div>
</div>
<a class="anchor" id="a6ee5fb2c88d4c42673126c6ec355deed"></a><!-- doxytag: member="Ogre::StdAlignedAllocPolicy::deallocateBytes" ref="a6ee5fb2c88d4c42673126c6ec355deed" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html">Ogre::StdAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#a6ee5fb2c88d4c42673126c6ec355deed">deallocateBytes</a> </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00130">130</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1AlignedMemory.html#aec9665c128b282869284a6025520adee">Ogre::AlignedMemory::deallocate()</a>.</p>

</div>
</div>
<a class="anchor" id="a6222b252df6d4f2bde65530dbb30ad5b"></a><!-- doxytag: member="Ogre::StdAlignedAllocPolicy::getMaxAllocationSize" ref="a6222b252df6d4f2bde65530dbb30ad5b" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t Alignment = 0&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static size_t <a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html">Ogre::StdAlignedAllocPolicy</a>&lt; Alignment &gt;::<a class="el" href="classOgre_1_1StdAlignedAllocPolicy.html#a6222b252df6d4f2bde65530dbb30ad5b">getMaxAllocationSize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum size of a single allocation. </p>

<p>Definition at line <a class="el" href="OgreMemoryStdAlloc_8h_source.html#l00139">139</a> of file <a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMemoryStdAlloc_8h_source.html">OgreMemoryStdAlloc.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
